Subject: bug#61242: closed (Re: [bug#61242] [PATCH] gnu: openssh: Update to 9.2p1)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Feb 2023 11:14:02 +0000

Your bug report

#61242: [PATCH] gnu: openssh: Update to 9.2p1

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61242: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61242
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#61242] [PATCH] gnu: openssh: Update to 9.2p1
From: Leo Famulari <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 4 Feb 2023 12:13:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Feb 03, 2023 at 05:13:27PM -0500, Jack Hill wrote:
> I had a chance today to reconfigure a host with the new ssh server. After
> reconfigure, I ran `sudo herd restart ssh-daemon` just to be sure.
> 
> I was able to connect over IPv6 with both the old and new client. The only
> authentication method tested was ssh-keys of type ed25519. All x86-64. No
> other fancy ssh features other than getting a shell were tested.

Thanks for testing!

Pushed as 36b8624dab8f881b65becee4a1603f9fbfd8094f

Subject: [PATCH] gnu: openssh: Update to 9.2p1
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Thu, 2 Feb 2023 18:08:32 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/ssh.scm (openssh): Update to 9.2p1.
---

This release has some security fixes [0]. I did a test build on x86-64
linux and didn't see anything unusual in the build log.

[0] https://www.openssh.com/txt/release-9.2

 gnu/packages/ssh.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ssh.scm b/gnu/packages/ssh.scm
index 35b3b378a9..685b5b039a 100644
--- a/gnu/packages/ssh.scm
+++ b/gnu/packages/ssh.scm
@@ -186,7 +186,7 @@ (define-public libssh2
 (define-public openssh
   (package
    (name "openssh")
-   (version "9.1p1")
+   (version "9.2p1")
    (source (origin
              (method url-fetch)
              (uri (string-append "mirror://openbsd/OpenSSH/portable/"
@@ -195,7 +195,7 @@ (define-public openssh
                                       "openssh-trust-guix-store-directory.patch"))
              (sha256
               (base32
-               "126jzn5pxkf1dgzcb3lzpzab8airg0avnvr3y23kgqp3qw4m1y0r"))))
+               "0ingf6fxzg2fcf6k68bvh0lc460jn0macvf5w585zd2zcpqxnriz"))))
    (build-system gnu-build-system)
    (native-inputs (list groff pkg-config))
    (inputs `(("libedit" ,libedit)
-- 
2.39.1